Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class IdeaModel

- org.gradle.plugins.ide.idea.model.IdeaModel

- DSL-friendly model of the IDEA project information. First point of entry when it comes to customizing the IDEA generation.

  See the examples in docs for IdeaModule or IdeaProject.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `IdeaModule` | `module` Configures IDEA module information.
    `IdeaProject` | `project` Configures IDEA project information.
    `String` | `targetVersion` Configures the target IDEA version.
    `IdeaWorkspace` | `workspace` Configures IDEA workspace information.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `module(groovy.lang.Closure closure)` Configures IDEA module information.
    `void` | `pathVariables(Map<String, File> pathVariables)` Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).
    `void` | `project(groovy.lang.Closure closure)` Configures IDEA project information.
    `void` | `workspace(groovy.lang.Closure closure)` Configures IDEA workspace information.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### IdeaModule module

      Configures IDEA module information.

      For examples see docs for IdeaModule.

    - #### IdeaProject project

      Configures IDEA project information.

      For examples see docs for IdeaProject.

    - #### String targetVersion

      Configures the target IDEA version.

    - #### IdeaWorkspace workspace

      Configures IDEA workspace information.

      For examples see docs for IdeaWorkspace.

  - ### Method Detail

    - #### void module(groovy.lang.Closure closure)

      Configures IDEA module information.

      For examples see docs for IdeaModule.

      Parameters:
        closure

    - #### void pathVariables(Map<String, File> pathVariables)

      Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).

      For example see docs for IdeaModule.

      Parameters:
        `pathVariables` - A map with String->File pairs.

    - #### void project(groovy.lang.Closure closure)

      Configures IDEA project information.

      For examples see docs for IdeaProject.

      Parameters:
        closure

    - #### void workspace(groovy.lang.Closure closure)

      Configures IDEA workspace information.

      For examples see docs for IdeaWorkspace.

      Parameters:
        closure